This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 483381 - Review Request: metromap - Simple program for finding paths in subway/metro maps
Review Request: metromap - Simple program for finding paths in subway/metro maps
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexey Torkhov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-01-31 06:30 EST by Fabian Affolter
Modified: 2009-04-19 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.1.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:49:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
atorkhov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Added Russian translation for .desktop (408 bytes, text/plain)
2009-03-07 12:38 EST, Alexey Torkhov
no flags Details

  None (edit)
Description Fabian Affolter 2009-01-31 06:30:58 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/metromap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/metromap-0.1.2-1.fc10.src.rpm

Project URL: http://metromap.antex.ru/

Description:
A simple pygtk+2 application for finding paths in metro (subway)
maps. Maps for Moscow, St. Petersburg, Kiev, London, and Berlin
are included. Others can be downloaded.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1096182

rpmlint output:
[fab@laptop24 noarch]$ rpmlint metromap-0.1.2-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint metromap-0.1.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Alexey Torkhov 2009-03-05 14:58:53 EST
- Licensing issues should be cleaned up:

a) There is no indication of GPL version in code or docs at all. (There is no
   indication of license at all, but that's another question).
   As such, License tag should be without version - "GPL+".

b) Maps data was taken from pmetro.nm.ru. And it have the following license in
   Russian language (http://pmetro.nm.ru/License.html):
Данные, использованные в программе, свободны для некоммерческого использования,
а также для GPL проектов.

   My translation:
Data used in program is free for non-commercial use and also for GPL projects.

   That is not very clear situation. Could you query license for data upstream?
   In particular they should tell what are terms for:
   * use
   * modification
   * redistribution

- Source url is wrong. Instead of
http://downloads.sourceforge.net/metromap/metromap-0.1.2.tar.bz2
it should be:
http://downloads.sourceforge.net/metro-map/metromap-0.1.2.tar.bz2

- pygtk2-devel is not required in BuildRequires. It should have pygtk2 in
  Requires instead.
Comment 2 Fabian Affolter 2009-03-07 10:34:44 EST
(In reply to comment #1)
> - Licensing issues should be cleaned up:
> 
> a) There is no indication of GPL version in code or docs at all. (There is no
>    indication of license at all, but that's another question).
>    As such, License tag should be without version - "GPL+".
> 
> b) Maps data was taken from pmetro.nm.ru. And it have the following license in
>    Russian language (http://pmetro.nm.ru/License.html):
> Данные, использованные в программе, свободны для некоммерческого использования,
> а также для GPL проектов.
> 
>    My translation:
> Data used in program is free for non-commercial use and also for GPL projects.
> 
>    That is not very clear situation. Could you query license for data upstream?
>    In particular they should tell what are terms for:
>    * use
>    * modification
>    * redistribution

The license files says GPLv2. Fixed

> - Source url is wrong. Instead of
> http://downloads.sourceforge.net/metromap/metromap-0.1.2.tar.bz2
> it should be:
> http://downloads.sourceforge.net/metro-map/metromap-0.1.2.tar.bz2

fixed
 
> - pygtk2-devel is not required in BuildRequires. It should have pygtk2 in
>   Requires instead.  

fixed

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/metromap.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/metromap-0.1.2-2.fc10.src.rpm
Comment 3 Fabian Affolter 2009-03-07 10:36:28 EST
It's only one License file, not files.
Comment 4 Alexey Torkhov 2009-03-07 12:38:18 EST
Created attachment 334403 [details]
Added Russian translation for .desktop

> The license files says GPLv2. Fixed
Version in COPYING doesn't tell what version of GPL it is under:
https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Would be also good to add Russian translation for .desktop (attached file).
Comment 5 Alexey Torkhov 2009-03-07 12:40:22 EST
+ rpmlint output clean:

2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
  %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ File, containing the text of the licenses for the package is included in
  %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package must matches the upstream source, as
  provided in the spec URL.

f3a92b70f7a282ad7b0ff52bec645ab2  metromap-0.1.2.tar.bz2
f3a92b70f7a282ad7b0ff52bec645ab2  metromap-0.1.2.tar.bz2.orig

+ The package successfully compiles and builds into binary rpms on at least
  one supported architecture (x86_64).
+ All build dependencies are listed in BuildRequires.
+ The spec file handles locales properly.
+ Does not contain shared libraries.
+ The package does not designed to be relocatable.
+ A package owns all directories that it creates.
+ A package does not contain any duplicate files in the %files listing.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot}.
+ The package consistently uses macros.
+ The package contains code, or permissable content.
+ Does not contain large documentation files.
+ Includes only doc files in %doc.
+ No headers.
+ No static libraries.
+ The package does not contain pkgconfig(.pc) files.
+ The package does not contain library files with a suffix (e.g.
  libfoo.so.1.1).
+ No devel packages.
+ The package does not contain any .la libtool archives.
+ Includes %{name}.desktop file. Properly installed with desktop-file-install.
+ The package does not own files or directories already owned by other
  packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot}.
+ All filenames in the package are valid UTF-8.

SHOULD:
Source package does not include license text for data. Query upstream
to include it.

Source package does not specify what GPL version it is under. Query upstream
what intended version is and to correct the sources.


This package is APPROVED.
Comment 6 Fabian Affolter 2009-03-07 15:04:58 EST
(In reply to comment #4)
> Created an attachment (id=334403) [details]
> Added Russian translation for .desktop
> 
> > The license files says GPLv2. Fixed
> Version in COPYING doesn't tell what version of GPL it is under:
> https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

The license in the spec file is GPL+ for now.

> Would be also good to add Russian translation for .desktop (attached file).  

Name[ru]=Карты метро
GenericName=Path finder in metro maps
Comment[ru]=Навигация по метро
Comment=Simple program for finding paths in subway/metro maps
Comment[ru]=Программа для нахождения путей в метро

I guess that 'Comment[ru]=Навигация...' is the 'GenericName', right?

(In reply to comment #5)
> SHOULD:
> Source package does not include license text for data. Query upstream
> to include it.

done
 
> Source package does not specify what GPL version it is under. Query upstream
> what intended version is and to correct the sources.

done
 
> This package is APPROVED.  

Thanks for the review.
Comment 7 Fabian Affolter 2009-03-07 15:06:07 EST
New Package CVS Request
=======================
Package Name: metromap
Short Description: Simple program for finding paths in subway/metro maps
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 8 Alexey Torkhov 2009-03-07 15:49:29 EST
(In reply to comment #6)
> I guess that 'Comment[ru]=Навигация...' is the 'GenericName', right?
Yeah, right.
Comment 9 Kevin Fenzi 2009-03-09 11:55:53 EDT
cvs done.
Comment 10 Fabian Affolter 2009-03-09 19:36:06 EDT
Thanks, Kevin
Comment 11 Fedora Update System 2009-03-09 19:53:14 EDT
metromap-0.1.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/metromap-0.1.2-3.fc10
Comment 12 Fedora Update System 2009-03-09 19:53:19 EDT
metromap-0.1.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/metromap-0.1.2-3.fc9
Comment 13 Fedora Update System 2009-03-11 13:55:17 EDT
metromap-0.1.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update metromap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2566
Comment 14 Fedora Update System 2009-03-11 13:55:59 EDT
metromap-0.1.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update metromap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2569
Comment 15 Fedora Update System 2009-03-27 10:49:12 EDT
metromap-0.1.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-03-27 10:52:09 EDT
metromap-0.1.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.